We support most iOS and Android phones or tablets running:

  • iOS version 11.0 and above
  • Android version 4.4 and above

If you're on an outdoor activity whatever phone or tablet you use, it will also need a data plan, a compass and have GPS activated.

Go Back